%define name gnomame
%define version 1.00b3
%define release 1mdk

Summary: GNOME front end to the xmame console emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-48x48.xpm.bz2
Source2: %{name}-32x32.xpm.bz2
Source3: %{name}-16x16.xpm.bz2
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmame

%description
GnoMAME help you launch the xmame for a specified game and
look at the valid ROMs you have installed onto your system.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make RPMBUILDROOT="$RPM_BUILD_ROOT" install
#menu and icons
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): section="Applications/Emulators" title="Gnomame" longtitle="GNOME GUI for the mame arcade emulator" icon="gnomame.xpm" needs="X11" command="gnomame"
EOF
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/gnomame.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/gnomame.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/gnomame.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/gnomame
%{_libdir}/gnomame/*
%{_datadir}/pixmaps/gnomame
%{_datadir}/gnome/help/gnomame
%{_menudir}/gnomame
%{_iconsdir}/gnomame.xpm
%{_liconsdir}/gnomame.xpm
%{_miconsdir}/gnomame.xpm

%changelog
* Mon Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.00b3-1mdk
- new package from Gtz Waschk <waschk@linux-mandrake.com>
